#
# Conditional build:
%bcond_without	doc		# don't build doc
%bcond_with	tests	# do not perform "make test"

%define 	module	maxminddb
Summary:	Python extension for reading the MaxMind DB format
Name:		python3-%{module}
Version:	2.5.2
Release:	3
License:	APL
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/m/maxminddb/maxminddb-%{version}.tar.gz
# Source0-md5:	b4c43becaffd76b9afa57beea19523c8
URL:		https://pypi.python.org/pypi/maxminddb
BuildRequires:	libmaxminddb-devel
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-ipaddr
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python module for reading MaxMind DB files.

MaxMind DB is a binary file format that stores data indexed by IP
address subnets (IPv4 or IPv6).

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
CC="%{__cc}" \
CFLAGS="%{rpmcppflags} %{rpmcflags}" \
%py3_build %{?with_tests:test}

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.rst README.rst
%{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-maxminddb.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b2b5408
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 61e8de8
- python 3.13 rebuild

* Thu Feb 15 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 45012be
- Up to 2.5.2 (as separate python3 spec)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ad097fa
- rebuild with tests and docs

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 03345b7
- Release 14 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 17d5cc6
- drop python3-distribute deps

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 81a9560
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6f7dbfe
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 198089d
- rebuild with separate debuginfo build-ids

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> ecc2312
- release 10 (by relup.sh)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 9f91018
- release 9 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 533e8a6
- unconditional noarch subpackages

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 955d72a
- rebuild with python 3.8
- release 8 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fde61d2
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8fd44a0
- python 3.6
- release 6 (by relup.sh)

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> ef558b1
- noarch apidoc

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5d71afa
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9082576
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d23282a
- automatic change: use py_build/py_install macros

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cc55804
- rel 3; BR libmaxminddb-devel

